Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Interface BindingIteratorOperations

All Known Subinterfaces:
  BindingIterator

All Known Implementing Classes:
  BindingIteratorPOA

public interface BindingIteratorOperations

This interface provides an iterator to navigate into a naming context.

Method Summary
`void` | `destroy()` This operation destroys the iterator.
`boolean` | `next_n(int how_many, BindingListHolder bl)` This operation returns at most the requested number of bindings.
`boolean` | `next_one(BindingHolder b)` This operation returns the next binding.

Method Detail

### next_one

    public boolean next_one(BindingHolder b)

  This operation returns the next binding.
  Returns:
    If there are no more bindings, false is returned.

### next_n

    public boolean next_n(int how_many,
                          BindingListHolder bl)

  This operation returns at most the requested number of bindings.

### destroy

    public void destroy()

  This operation destroys the iterator.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD